Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class OreGenEvent.GenerateMinable

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.OreGenEvent
              net.minecraftforge.event.terraingen.OreGenEvent.GenerateMinable

Enclosing class:
  OreGenEvent

    public static class OreGenEvent.GenerateMinable

extends OreGenEvent

This event is fired when an ore is generated in a chunk. You can set the result to DENY to prevent the default ore generation.

Nested Class Summary
`static class` | `OreGenEvent.GenerateMinable.EventType`

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.OreGenEvent
`OreGenEvent.GenerateMinable, OreGenEvent.Post, OreGenEvent.Pre`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`WorldGenerator` | `generator`
`OreGenEvent.GenerateMinable.EventType` | `type`

Fields inherited from class net.minecraftforge.event.terraingen.OreGenEvent
`rand, world, worldX, worldZ`

Constructor Summary
`OreGenEvent.GenerateMinable(World world, Random rand, WorldGenerator generator, int worldX, int worldZ, OreGenEvent.GenerateMinable.EventType type)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public final OreGenEvent.GenerateMinable.EventType type

### generator

    public final WorldGenerator generator

Constructor Detail

### OreGenEvent.GenerateMinable

    public OreGenEvent.GenerateMinable(World world,
                                       Random rand,
                                       WorldGenerator generator,
                                       int worldX,
                                       int worldZ,
                                       OreGenEvent.GenerateMinable.EventType type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD